```@meta
CurrentModule = PSBoardDataBase
```
# このリポジトリのソフトウェアについての説明

このリポジトリにあるのは、JATHub masterのログファイル、及びGoogle SheetsからエクスポートしたCSVファイルからデータベースを作成するためのコードである。
メインの関数は[`create_database_from_exported_csvs`](@ref)である。

## テストについて

テストでは実際にデータベースを作成している。
デフォルトでは全部は実行しないが、master log fileをおき、かつ環境変数`LOCAL_TEST`を設定することで、master log fileが必要な工程まで含めて実行できる。[^1]

[^1]: master log fileはgitには入れたくないので、このような形態をとっている。

## API

```@index
```

```@autodocs
Modules = [PSBoardDataBase]
```

### `QaqcMasterLog`

```@autodocs
Modules = [QaqcMasterLog]
```
